Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Jun 2013 19:14:45 -0400

> Yes, I agree.  Maybe we can add a `prog-prettify-uninstall' function
> that expects the buffer-local `prog-prettify-symbols-alist' to be
> unchanged and removes all compositions named in it?  And that can be
> added to the font-lock unload hook when `prog-mode' is installed?

The simpler solution is to make prog-prettify-install add `composition'
to the extra-managed properties.

        Stefan